Bug 15130 - useless unitialization warnings when updating authorities
Summary: useless unitialization warnings when updating authorities
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic record staging/import (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-04 16:05 UTC by Koha Team Lyon 3
Modified: 2017-06-14 22:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15130 useless unitialization warnings when updating authorities (867 bytes, patch)
2015-11-04 16:11 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
Bug 15130 useless unitialization warnings when updating authorities (933 bytes, patch)
2015-11-05 06:51 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 15130 useless unitialization warnings when updating authorities (1008 bytes, patch)
2015-11-06 13:26 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team Lyon 3 2015-11-04 16:05:27 UTC
When importing records (in the present case through the french Sudoc program) the following warning displays when updating linked biblios is not necessary :
Use of uninitialized value $update in numeric eq (==) at /home/kohaadmin/src/C4/AuthoritiesMarc.pm line 1554.
Comment 1 Koha Team Lyon 3 2015-11-04 16:11:44 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-11-05 06:51:35 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-11-06 13:26:58 UTC
Created attachment 44558 [details] [review]
[PASSED QA] Bug 15130 useless unitialization warnings when updating authorities

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  Fixes a trivial coding error.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-11-06 15:14:08 UTC
Patch pushed to master.

Thanks Lyon3 Team!
Comment 5 Frédéric Demians 2015-11-29 20:28:10 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 6 Liz Rea 2015-12-10 01:38:22 UTC
Just noting that this fails koha-qa for pod violations, but since it isn't new code we probably don't need to fix it.
Comment 7 Liz Rea 2016-01-06 21:19:56 UTC
Pushed to 3.18.13, and released.